Skip to content

Service

All operations require authentication.

13 operationsv1/pack/xdsl
Agent setup

Change service contactsProduction

POST
/1.0/pack/xdsl/{packName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get the owner contact of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/contactOwner

Get the owner contact of an xDSL pack. Returns the name, organization, email, phone and postal address of the pack owner.

Path parameters

packName
required
string

The internal name of your pack

Response

200ContactInfossuccessful operation
address
string

contact address

city
string

contact city

country
CountryEnum

contact country

ValuesACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUNKNOWNUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZW
email
string

contact email

firstname
string

contact firstname

name
string

contact name

organisation
string

contact organisation

phone
string

contact phone

phoneCountry
CountryEnum

contact phoneCountry

ValuesACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUNKNOWNUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZW
zip
string

contact zip

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/contactOwner \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "string", "city": "string", "country": "AC", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "phoneCountry": "AC", "zip": "string"}

Get the promotion code capabilities of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/promotionCode/capabilities

Get the promotion code capabilities of an xDSL pack. Returns whether a promotion code can be generated, its amount, the engagement it requires and the reasons when it cannot.

Path parameters

packName
required
string

The internal name of your pack

Response

200Capabilitiessuccessful operation
amount
Price

Amount of the promotion code

canGenerate
boolean

True if the promotion code generation is available

engagement
integer

Number of months of engagement

reasonCodes
ReasonCodes[]

Enum of the possible errors

ValuesnoMoreAvailableofferNotCompatibleserviceNotInOkStatestillEngagedtaskInProgress

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/promotionCode/capabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "amount": { "currencyCode": "AUD", "text": "string", "value": 0 }, "canGenerate": true, "engagement": 0, "reasonCodes": [ "noMoreAvailable" ]}

Generate a promotion code for an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/promotionCode/generate

Generate a promotion code for an xDSL pack. Creates a new promotion code for the pack. Returns the task that performs it.

Path parameters

packName
required
string

The internal name of your pack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
updateDate
read-only
stringdate-time
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/promotionCode/generate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}

Get service informationProduction

GET
/1.0/pack/xdsl/{packName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

packName
required
string

The internal name of your pack

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/pack/xdsl/{packName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List the services of an xDSL pack with their usageProduction

GET
/1.0/pack/xdsl/{packName}/services

List the services of an xDSL pack with their usage. Returns, for each service type of the pack, the number used, the total and the number in creation.

Path parameters

packName
required
string

The internal name of your pack

Response

200ServiceInformation[]successful operation
inCreation
integer
—
name
ServiceNameEnum

Service name

ValuesdomainemailProexchangeAccountexchangeIndividualexchangeOrganizationgrt10hogrt20m10hogrt20m4hogrt4hogrt5m10hogrt5m4hogrtAltgrtDspgrtFtgrtKoscgrtOvhhostedEmailmodemoverTheBoxHardwareoverTheBoxServicevoipAliasvoipBillingAccountvoipEcoFaxvoipLinevoipTrunkxdslAccess
total
integer
—
used
integer
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/services \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "inCreation": 0, "name": "domain", "total": 0, "used": 0 }]

List the shipping addresses of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/shippingAddresses

List the shipping addresses of an xDSL pack. Returns the addresses allowed for the given context, such as a migration or a VoIP line order.

Path parameters

packName
required
string

The internal name of your pack

Query parameters

context
required
ShippingAddressContextEnum

Context

ValuesmigrationvoipLine

Response

200ShippingAddress[]successful operation
address
string
—
cityName
string
—
countryCode
string
—
firstName
string
—
lastName
string
—
shippingId
string
—
zipCode
string
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/shippingAddresses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "address": "string", "cityName": "string", "countryCode": "string", "firstName": "string", "lastName": "string", "shippingId": "string", "zipCode": "string" }]

List the services contained in an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/subServices

List the services contained in an xDSL pack. Returns the domains of the services of the pack. Get a service for its type and unpack terms.

Path parameters

packName
required
string

The internal name of your pack

Response

200string[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/subServices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a service contained in an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/subServices/{domain}

Get a service contained in an xDSL pack. Returns the ID, domain and type of a service of the pack. Its unpack terms come from keepServiceTerms.

Path parameters

domain
required
string
—
packName
required
string

The internal name of your pack

Response

200Servicesuccessful operation
domain
read-only
string
—
id
read-only
number
—
type
read-only
ServiceNameEnum

Service name

ValuesdomainemailProexchangeAccountexchangeIndividualexchangeOrganizationgrt10hogrt20m10hogrt20m4hogrt4hogrt5m10hogrt5m4hogrtAltgrtDspgrtFtgrtKoscgrtOvhhostedEmailmodemoverTheBoxHardwareoverTheBoxServicevoipAliasvoipBillingAccountvoipEcoFaxvoipLinevoipTrunkxdslAccess

Example uses domain = string, packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/subServices/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domain": "string", "id": 0, "type": "domain"}

List the tasks of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/tasks

List the tasks of an xDSL pack. Returns the IDs of the tasks scheduled on the pack. Get a task for its function, status and last update date.

Path parameters

packName
required
string

The internal name of your pack

Query parameters

function
string

Filter the value of function property (=)

status
TaskStatusEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrorproblemtodo

Response

200integer[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a task of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/tasks/{id}

Get a task of an xDSL pack. Returns the function, status and last update date of a task scheduled on the pack.

Path parameters

id
required
integer

Id of the object

packName
required
string

The internal name of your pack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
updateDate
read-only
stringdate-time
—

Example uses id = 0, packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/tasks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}

List the xDSL access services of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/xdslAccess/services

List the xDSL access services of an xDSL pack. Returns the names of the xDSL accesses of the pack, each usable with the /xdsl calls.

Path parameters

packName
required
string

The internal name of your pack

Response

200string[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/xdslAccess/services \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]